com.amazonaws.services.codedeploy.model

## Class BatchGetApplicationsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.BatchGetApplicationsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetApplicationsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a batch get applications operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetApplicationsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetApplicationsResult` `clone()`
`boolean` `equals(Object obj)`
`List<ApplicationInfo>` `getApplicationsInfo()` Information about the applications.
`int` `hashCode()`
`void` `setApplicationsInfo(Collection<ApplicationInfo> applicationsInfo)` Information about the applications.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetApplicationsResult` `withApplicationsInfo(ApplicationInfo... applicationsInfo)` Information about the applications.
`BatchGetApplicationsResult` `withApplicationsInfo(Collection<ApplicationInfo> applicationsInfo)` Information about the applications.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetApplicationsResult

    public BatchGetApplicationsResult()

### Method Detail

#### getApplicationsInfo

    public List<ApplicationInfo> getApplicationsInfo()

Information about the applications.

Returns:
  Information about the applications.

#### setApplicationsInfo

    public void setApplicationsInfo(Collection<ApplicationInfo> applicationsInfo)

Information about the applications.

Parameters:
  `applicationsInfo` - Information about the applications.

#### withApplicationsInfo

    public BatchGetApplicationsResult withApplicationsInfo(ApplicationInfo... applicationsInfo)

Information about the applications.

NOTE: This method appends the values to the existing list (if any). Use `setApplicationsInfo(java.util.Collection)` or `withApplicationsInfo(java.util.Collection)` if you want to override the existing values.

Parameters:
  `applicationsInfo` - Information about the applications.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withApplicationsInfo

    public BatchGetApplicationsResult withApplicationsInfo(Collection<ApplicationInfo> applicationsInfo)

Information about the applications.

Parameters:
  `applicationsInfo` - Information about the applications.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetApplicationsResult clone()

Overrides:
  `clone` in class `Object`